Skip to content

Get the topics members talk about with the App's AI

GET
/apps/{appId}/chat-topics
curl --request GET \
--url 'https://api.passion.io/v1/apps/example/chat-topics?window=7d'
appId
required

The id of the App, as Studio shows it.

string
/^[1-9][0-9]*$/
window
required

The last 7, 30 or 90 days.

string
Allowed values: 7d 30d 90d

OK

Media typeapplication/json
object
chatTopics
required
Any of:
object
window
required
object
start
required
string
end
required
string
conversations
required

Conversations with activity in the window.

integer
>= -9007199254740991 <= 9007199254740991
topics
required

What members talk about most, most conversations first.

Array<object>
object
topic
required
string
conversations
required
integer
>= -9007199254740991 <= 9007199254740991
blockers
required

What most often stops members, most conversations first.

Array<object>
object
blocker
required
string
conversations
required
integer
>= -9007199254740991 <= 9007199254740991
Examplegenerated
{
"chatTopics": {
"window": {
"start": "example",
"end": "example"
},
"conversations": 1,
"topics": [
{
"topic": "example",
"conversations": 1
}
],
"blockers": [
{
"blocker": "example",
"conversations": 1
}
]
}
}